// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdAutoIdentOnDeviceProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdAutoIdentOnDeviceProductPlugin", targets: ["WebIdAutoIdentOnDeviceProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .exact("20.0.0")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .exact("20.0.0")
        ),
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-device-document-scanner-spm",
            .exact("20.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdAutoIdentOnDeviceProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdAutoIdentOnDeviceProductPlugin/20.0.1/WebIdAutoIdentOnDeviceProductPlugin.framework-v20.0.1.zip",
            checksum: "d1e109f76efe3ffc5147795ce3b010b0b4822c5f58b4bac1988fcee1503fd9ab"
        ),
        .target(
            name: "WebIdAutoIdentOnDeviceProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdAutoIdentOnDeviceProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
